Show / Hide Table of Contents

# Class RawPayload

##### Inheritance

System.Object
Payload
RawPayload

##### Inherited Members

Payload.Process(BinaryReader)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(Int32)
Payload.GetTypeForIntegerBytes(Byte[])
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class RawPayload : Payload

### Constructors

| Improve this Doc View Source

#### RawPayload(Byte)

##### Declaration

    public RawPayload(byte chunkType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | chunkType |

### Properties

| Improve this Doc View Source

#### ChunkType

##### Declaration

    public byte ChunkType { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Data

##### Declaration

    public byte[] Data { get; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### Encode()

##### Declaration

    public override byte[] Encode()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.Encode()
| Improve this Doc View Source

#### ProcessChunkImpl(BinaryReader, Int64)

##### Declaration

    protected override void ProcessChunkImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.ProcessChunkImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### Resolve()

##### Declaration

    public override void Resolve()

##### Overrides

Payload.Resolve()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()